Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ast.stmt
[Java] Class WhileStatement

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.stmt.Statement
              org.codehaus.groovy.ast.stmt.WhileStatement

All Implemented Interfaces:
  LoopingStatement

    public class WhileStatement
    extends Statement

Represents a while (condition) { ... } loop in Groovy

Authors:
  James Strachan

Version:
  \$Revision\$

Constructor Summary
`WhileStatement(BooleanExpression booleanExpression, Statement loopBlock)`

Method Summary
`BooleanExpression` | `getBooleanExpression()`
`Statement` | `getLoopBlock()`
`void` | `setBooleanExpression(BooleanExpression booleanExpression)`
`void` | `setLoopBlock(Statement loopBlock)`
`void` | `visit(GroovyCodeVisitor visitor)`

Methods inherited from class Statement
getStatementLabel, isEmpty, setStatementLabel

Methods inherited from class ASTNode
copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getText, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### WhileStatement

    public WhileStatement(BooleanExpression booleanExpression, Statement loopBlock)

Method Detail

### getBooleanExpression

    public BooleanExpression getBooleanExpression()

### getLoopBlock

    public Statement getLoopBlock()

### setBooleanExpression

    public void setBooleanExpression(BooleanExpression booleanExpression)

### setLoopBlock

    public void setLoopBlock(Statement loopBlock)

### visit

    public void visit(GroovyCodeVisitor visitor)

Groovy Documentation